#2153 closed defect (fixed)

Termios setAttributes callback is broken on SMP

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description

The setAttributes callback usually has to modify some control registers using a read-modify-write sequence. In case the registers are also used by interrupt service routines the corresponding ISR lock (rtems_termios_tty::interrupt_lock) must be used. The setAttributes callback has no easy access to this lock.

Attachments (1)

0001-termios-Pass-Termios-context-to-device-callbacks.patch (11.0 KB) - added by Sebastian Huber on Nov 29, 2013 at 7:18:09 AM.
Potential fix.

Download all attachments as: .zip

Change History (4)

Changed on Nov 29, 2013 at 7:18:09 AM by Sebastian Huber

Potential fix.

comment:1 Changed on Dec 3, 2013 at 5:46:43 PM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Jul 9, 2014 at 10:03:09 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.